[OE-core] [PATCH] scripts/autobuilder-worker-prereq-tests: adjust max_user_watches

Michael Halstead mhalstead at linuxfoundation.org
Mon Nov 5 17:10:48 UTC 2018


Temporarily modify path to run as non-privileged user on more distros.
Change the recommended value to match what we use on the autobuilder.

Signed-off-by: Michael Halstead <mhalstead at linuxfoundation.org>
---
 scripts/autobuilder-worker-prereq-tests | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/scripts/autobuilder-worker-prereq-tests b/scripts/autobuilder-worker-prereq-tests
index c0148fbce8..bb46c69135 100755
--- a/scripts/autobuilder-worker-prereq-tests
+++ b/scripts/autobuilder-worker-prereq-tests
@@ -34,10 +34,11 @@ if [ "$?" != "0" ]; then
     echo "Bitbake parsing failed"
     exit 1
 fi
-WATCHES=`sysctl fs.inotify.max_user_watches -n`
-if (( $WATCHES < 100000 )); then
-    echo 'Need to increase watches (echo fs.inotify.max_user_watches=524288 | sudo tee -a /etc/sysctl.conf'
-    #exit 1
+
+WATCHES=$(PATH="/sbin:/usr/sbin:$PATH" sysctl fs.inotify.max_user_watches -n)
+if (( $WATCHES < 65000 )); then
+    echo 'Need to increase watches (echo fs.inotify.max_user_watches=65536 | sudo tee -a /etc/sysctl.conf'
+    exit 1
 fi
 mkdir -p tmp/deploy/images/qemux86-64
 pushd tmp/deploy/images/qemux86-64
-- 
2.17.2




More information about the Openembedded-core mailing list